package com.gic.haoban.manage.web.qo.data;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/30 10:39
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class StoreRealTimeMemberQO extends CommonQO implements Serializable {

    /**
     * 1:data_mbr_scale_real_time_rel_overview
     * 2:data_mbr_scale_real_time_opencard_overview
     */
    private Integer apiNameType;


    public String getApolloKeyByType() {
        if (apiNameType == null) {
            apiNameType = 1;
        }
        switch (apiNameType) {
            case 2:
                return "data_mbr_scale_real_time_opencard_overview";
            default:
                return "data_mbr_scale_real_time_rel_overview";
        }
    }
}
